Subject: bug#71736: closed (Re: bug#71736: Small cleanup patches for lua-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Jun 2024 19:58:02 +0000

Your bug report

#71736: Small cleanup patches for lua-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71736: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71736
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71736: Small cleanup patches for lua-ts-mode
From: Stefan Kangas <[email-masked]>
To: john muhl <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jun 2024 12:56:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

john muhl <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I think patch 2 should go to master, but it doesn't apply cleanly.
>> John, could you please rebase it and resend?
>
> Oops, I see now it included a bit of unrelated local changes.
>
> Here’s another try. I rebased it and checked that it applies to
> emacs-30 and master.

Thanks!

> Out of curiousity, what makes it unfit for the emacs-30 branch?

We prefer not to put code cleanups on the release branch.

So I've now pushed it to `master`, and I'm closing this bug report.

BTW, is there any reason not to use `defvar-keymap' in lua-ts-mode.el?
Does it need to be compatible with Emacs 28?

Subject: Small cleanup patches for lua-ts-mode
From: john muhl <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jun 2024 09:41:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Following up with a few trivial cleanups in lua-ts-mode.